Skip to main content
PUT
/
workspaces
/
{workspace_id}
/
cases
/
{case_id}
/
dropdowns
/
{definition_id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "definition_ref": "<string>",
  "definition_name": "<string>",
  "option_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "option_label": "<string>",
  "option_ref": "<string>",
  "option_icon_name": "<string>",
  "option_color": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

case_id
string<uuid4>
required
definition_id
string<uuid4>
required
workspace_id
string<uuid>
required

Body

application/json

Request body for setting or clearing a dropdown value on a case.

option_id
string<uuid> | null

The option ID to set. Pass null to clear the value.

Response

Successful Response

Per-case dropdown value with full definition/option info.

id
string<uuid>
required
definition_id
string<uuid>
required
definition_ref
string
required
definition_name
string
required
option_id
string<uuid> | null
option_label
string | null
option_ref
string | null
option_icon_name
string | null
option_color
string | null